Subject: [pcp] TR: draft-ietf-pcp-dhcp: Exit from the loop

From: <[email-masked]>
Date: Tue, 26 Mar 2013 11:47:50 +0100

Dear all,

As a companion action to the discussion initiated here: http://www.ietf.org/mail-archive/web/pcp/current/msg02739.html, I contacted the dhcwg to seek for guidance.

The conclusion of the discussion, and also an offline message from the AD, is the utf-8 based design is not compliant with dhc recommendations.

The document will be updated accordingly.

Cheers,
Med

________________________________
De : Bernie Volz (volz) [mailto:[email-masked]]
Envoyé : lundi 25 mars 2013 16:51
À : BOUCADAIR Mohamed OLNC/OLN
Cc : Dhc Chairs ([email-masked]); Ted Lemon; [email-masked]; [email-masked]; [email-masked]
Objet : Re: draft-ietf-pcp-dhcp: Exit from the loop

You need to pick either fqdn or address - not both. See the option guidelines draft. DHC is unlikely to support this work if you don't follow option guidelines.

- Bernie

On Mar 25, 2013, at 11:31 AM, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>> wrote:

Dear all,

I understood no conclusion was reached in the previous pcp meeting for this I-D.
The version available at http://tools.ietf.org/html/draft-ietf-pcp-dhcp-06 reflects the consensus of the pcp wg but Ted is not happy with that design.

It seems we are looping here:
* The approach of using two formats was documented in a previous version but it was removed after a review from Bernie.
* RFC1035-based encoding was documented in a previous version but it was removed because the consensus of the pcp working group is no to over specify the options to be dns-specific.
* A more detailed background is provided here: http://www.ietf.org/proceedings/86/slides/slides-86-pcp-4.pdf.

As I have two opposite signals, I don't know how to proceed. This is why I'm expanding this to dhc chairs to have your feedback too.

Cheers,
Med